Package Details: arpack++ 1.2-3

Git Clone URL: https://aur.archlinux.org/arpack++.git (read-only)
Package Base: arpack++
Description: an object-oriented version of the ARPACK package
Upstream URL: http://www.ime.unicamp.br/~chico/arpack++/
Licenses: BSD
Submitter: BELiAL
Maintainer: mrbit
Last Packager: mrbit
Votes: 3
Popularity: 0.000000
First Submitted: 2010-09-15 07:15
Last Updated: 2015-07-15 12:09

Latest Comments

xantares commented on 2016-09-26 16:18

I suggest to use http://reuter.mit.edu/software/arpackpatch/
xan.

xantares commented on 2016-09-13 15:00

hi,
lapack is already a dependency of arpack, and blas a dep of lapack, so they can be removed from the depends field
glibc is useless too
xan.

mrbit commented on 2013-01-04 18:51

thanks gborzi
http://reuter.mit.edu/download/arpackpp1.2.patch.diff
its ==
http://reuter.mit.edu/download/arpackpp1.2_slu4.3.patch.diff

ok. updated patch..

gborzi commented on 2013-01-04 18:02

I suggest to use the newer patch from Martin Reuter with superlu 4.3 support
http://reuter.mit.edu/download/arpackpp1.2_slu4.3.patch.diff

mrbit commented on 2012-10-06 21:23

fix

Anonymous comment on 2012-08-07 14:13

never mind.. solved it.

Anonymous comment on 2012-08-07 14:06

putting correct md5sum doesn't help... still there is the error..

==> Starting build()...
patch: **** Only garbage was found in the patch input.
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build arpack++.

Anonymous comment on 2012-08-07 13:39

got this message during installation:

Validating source files with md5sums...
arpack++.tar.gz ... Passed
download?f=arpack%2B%2B1.2.patch.diff ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build arpack++.

any ideas how to fix it ?

Anonymous comment on 2012-05-15 21:24

Here is the PKGBUILD with BasFaggingerAuer's modifications:

# Contributor: Carlo Casta <carlo.casta at gmail dot com>

pkgname=arpack++
pkgver=1.2
pkgrel=1
pkgdesc="an object-oriented version of the ARPACK package"
arch=('any')
url="http://www.ime.unicamp.br/~chico/arpack++/"
license=('BSD')
depends=('glibc' 'arpack' 'lapack' 'blas')
optdepends=('superlu' 'umfpack')
source=(http://www.ime.unicamp.br/~chico/${pkgname}/${pkgname}.tar.gz
http://reuter.mit.edu/download/arpackpp1.2.patch.diff)
md5sums=('ba746bd46ea53ed2f141c806e36c60b2' 'd76be44d4962f362675de541899f1787')

build()
{
cd ${srcdir}/${pkgname}

# patch required for gcc > 4
patch -Np1 -i ../arpackpp${pkgver}.patch.diff || return 1

# install headers
install -d ${pkgdir}/usr/include/arpack++
install include/*.h ${pkgdir}/usr/include/arpack++

# install docs
install -d ${pkgdir}/usr/share/doc/arpack++
install doc/* ${pkgdir}/usr/share/doc/arpack++

# install tutorials
install -d ${pkgdir}/usr/share/arpack++/examples
cp -r examples/* ${pkgdir}/usr/share/arpack++/examples
}

Anonymous comment on 2012-02-23 19:36

The arpack++ patch does not seem to work,

http://reuter.mit.edu/download/arpackpp1.2.patch.diff

seems to work (md5sum equals d76be44d4962f362675de541899f1787).

In PKGBUILD remove the rename 'mv ...' line 21 and replace the line below by

patch -Np1 -i ../arpackpp${pkgver}.patch.diff || return 1

Kind regards,

Bas